<?php
/**
 * htf_com_func.inc
 *
 * HTF̴ؿͭե
 *
 * @package HtmlTemplateFramework
 * @subpackage common
 * @access  public
 * @author    Yamauchi Shogo <htf@as-prj.com>
 * @version $Id: htf_com_func.inc ,v 1.0 $;
 **/

require_once("htf_com_define.inc");	//

/**
 * xml̾Ӥ̾ȹפ뤫ɤ֤ޤ

 * htfǤϡʸʸռʤӤޤ

 * 
 * @access     public
 * @param     string    $elemname  Ƚ̤̾

 * @param     string    $compstr   Ƚ̤˻Ѥ̾

 * @return    bool
 **/
function htf_comp_xmlelementname($elemname, $compstr) {
	$strnamewk="";
	$strcompwk="";
	
	//ͥå
	if (htf_is_existsval($elemname)) {
		$strnamewk=$elemname;
	} else {
		//NULLȶʸ϶ʸ

		$strnamewk="";
	}
	if (htf_is_existsval($compstr)) {
		$strcompwk=$compstr;
	} else {
		//NULLȶʸ϶ʸ

		$strcompwk="";
	}
	//ڥʸʸռʤ

	if (!strcasecmp($elemname, $compstr)) {
		return TRUE;
	} else {
		return FALSE;
	}
}

/**
 * xml°̾Ӥ°̾ȹפ뤫ɤ֤ޤ

 * htfǤϡʸʸռʤӤޤ

 * 
 * @access     public
 * @param     string    $attrname  Ƚ̤°̾  
 * @param     string    $compstr   Ƚ̤˻Ѥ°̾  
 * @return    bool
 **/
function htf_comp_xmlattrname($attrname, $compstr) {
	$strnamewk="";
	$strcompwk="";
	
	//ͥå
	if (htf_is_existsval($attrname)) {
		$strnamewk=$attrname;
	} else {
		//NULLȶʸ϶ʸ

		$strnamewk="";
	}
	if (htf_is_existsval($compstr)) {
		$strcompwk=$compstr;
	} else {
		//NULLȶʸ϶ʸ

		$strcompwk="";
	}
	//ڥʸʸռʤ

	if (!strcasecmp($attrname, $compstr)) {
		return TRUE;
	} else {
		return FALSE;
	}
}

/**
 * xml°ͤӤ°ͤȹפ뤫ɤ֤ޤ

 * htfǤϡʸʸռʤӤޤ

 * 
 * @access     public
 * @param     string    $attrvalue  Ƚ̤°  
 * @param     string    $compstr    Ƚ̤˻Ѥ°  
 * @return    bool
 **/
function htf_comp_property($attrvalue, $compstr) {
	$strvaluewk="";
	$strcompwk="";
	
	//ͥå
	if (htf_is_existsval($attrvalue)) {
		$strvaluewk=$attrvalue;
	} else {
		//NULLȶʸ϶ʸ

		$strvaluewk="";
	}
	if (htf_is_existsval($compstr)) {
		$strcompwk=$compstr;
	} else {
		//NULLȶʸ϶ʸ

		$strcompwk="";
	}
	//ڥʸʸռʤ

	if (!strcasecmp($attrvalue, $compstr)) {
		return TRUE;
	} else {
		return FALSE;
	}
}

/**
 * ͤhtfǻѤǤͤɤ֤ޤ

 * NULLͤʸξfalse֤ޤ

 * 
 * @access     public
 * @param     mixed     $propval  
 * @param     string    $compstr    Ƚ̤˻Ѥ°  
 * @return    bool
 **/
function htf_is_existsval($propval) {
	if (is_null($propval)) {
		//NULLFALSE
		return FALSE;
	} else if (is_string($propval) && $propval == "") {
		//ʸFALSEʸξΤߡ

		return FALSE;
	}
	return TRUE;
}

/**
 * ʸκǽʸԥɤɤȽ̤

 * ԥɤǤʤˤϲԥɤղäޤ

 * NULLͤ϶ʸξˤϲԥɤղäޤ

 * 
 * @access     public
 * @param     string    $stradd   ԥɤɲäʸ  
 * @return    string
 **/
function htf_add_cr($stradd) {
	//NULLʸ϶ʸ֤
	if (!htf_is_existsval($stradd)) {
		return "";
	}
	//ǽʸԥɤɤå֤
	if (strrchr($stradd,"\n") == "\n") {
		$strret = $stradd;
	} else {
		$strret = $stradd."\n";
	}
	return $strret;
}

/**
 * Ϲԥʸޤ

 * 
 * @access     public
 * @param     string    $strareaname  ʸȤ߹२ꥢ̾  
 * @return    string
 **/
function htf_get_comment_areastart($strareaname="") {
	$strret = "";
	if(htf_is_existsval($strareaname)) {
		$strret = '<!-- '.$strareaname.' start -->';
	} else {
		$strret = "<!-- start -->";
	}
	$strret = htf_add_cr($strret);
	return $strret;
}

/**
 * λԥʸޤ

 * 
 * @access     public
 * @param     string    $strareaname  ʸȤ߹२ꥢ̾  
 * @return    string
 **/
function htf_get_comment_areaend($strareaname="") {
	$strret = "";
	if(htf_is_existsval($strareaname)) {
		$strret = '<!-- '.$strareaname.' end -->';
	} else {
		$strret = '<!-- end -->';
	}
	$strret = htf_add_cr($strret);
	return $strret;
}

//////////////////////////////////////
//URLؿ
//////////////////////////////////////
/**
 * 롼URLȤʲ礷URLХѥ롣

 * 롼URLκǸʸURLƬʸϡ'/'
 * Ǥ뤫ɤȽ̤Ʒ礹롣

 * 
 * @access     public
 * @param     string    $strroot  롼URL  
 * @param     string    $strchild 롼ȰʲλURL  
 * @return    string
 **/
function htf_make_url($strroot, $strchild) {
	if (!htf_is_existsval($strroot)) {
		//rootʤ

		return htf_nz($strchild, "");
	} elseif (!htf_is_existsval($strchild)) {
		//childʤ

		return $strroot;
	}
	
	//ѥ졼Ĥ뤫ɤȽǤХѥ֤
	if (substr($strroot,strlen($strroot)-1,1) == "/") {
		if (substr($strchild, 0, 1) == "/") {
			//롼ȤκǸ夬'/'ĻҤƬ'/'ξ

			return substr($strroot, 0, strlen($strroot)-1).$strchild;
		} else {
			//롼ȤκǸ夬'/'ĻҤƬ'/'Ǥʤ

			return $strroot.$strchild;
		}
	} else {
		if (substr($strchild, 0, 1) == "/") {
			//롼ȤκǸ夬'/'ǤʤĻҤƬ'/'ξ

			return $strroot.$strchild;
		} else {
			//롼ȤκǸ夬'/'ǤʤĻҤƬ'/'Ǥʤ

			return $strroot."/".$strchild;
		}
	}
}

//////////////////////////////////////
//ե륷ƥؿ
//////////////////////////////////////
/**
 * ǥ쥯ȥ̾ȥե̾礷ե륷ƥХѥޤ

 * ǥ쥯ȥ̾ΤκǸʸϥեڤʸǤ뤫ɤȽ̤Ʒ礷ޤ

 * 
 * @access     public
 * @param     string    $strdir   ǥ쥯ȥ̾  
 * @param     string    $strchild ե̾  
 * @return    string
 **/
function htf_make_fullpathname($strdir, $strfname) {
	//NULLʸ϶ʸ֤
	if (!htf_is_existsval($strdir) || !htf_is_existsval($strfname)) {
		return "";
	}
	//ѥ졼Ĥ뤫ɤȽǤХѥ֤
	if (substr($strdir,strlen($strdir)-1,1) == DIRECTORY_SEPARATOR) {
		return $strdir.$strfname;
	} else {
		return $strdir.DIRECTORY_SEPARATOR.$strfname;
	}
}

/**
 * PHPĶͤinclude_pathƤ˻ꤷ˼ޤ

 * 
 * @access     public
 * @param     array     $arset  include_path  
 * @return    void
 **/
function htf_get_incdirarray(&$arset) {
	$strincpath = get_include_path();
	$pos=0;
	$i=0;
	while($pos<strlen($strincpath) && !is_bool($pos)) {
		$poswk = strpos($strincpath,PATH_SEPARATOR,$pos+1);
		if (!is_bool($poswk)) {
			$arset[$i] = substr($strincpath,$pos,$poswk-$pos);
			$pos=$poswk+1;
		} else {
			$arset[$i] = substr($strincpath,$pos);
			return;
		}
		$i++;
	}
}

/**
 * ʸκǽʸեڤʸξ硢

 * ǸΥեڤʸʸ֤ޤ

 * 
 * @access     public
 * @param     string     $strdir  ǥ쥯ȥ̾

 * @return    string
 **/
function htf_cut_dirseparator($strdir) {
	$strret="";
	//NULLʸ϶ʸ֤
	if (!htf_is_existsval($strdir)) {
		return "";
	}
	//ѥ졼ȽǤ֤
	if ($strdir == DIRECTORY_SEPARATOR) {
		$strret = $strdir;
	} else if (substr($strdir,strlen($strdir)-1,1) == DIRECTORY_SEPARATOR) {
		$strret = substr($strdir,0,strlen($strdir)-1);
	} else {
		$strret = $strdir;
	}
	return $strret;
}

/**
 * ǥ쥯ȥʸΰľΥǥ쥯ȥ֤̾ޤ

 * ǥ쥯ȥ꤬ɥȥ롼Ȥ䡢롼ȥǥ쥯ȥ

 * 路Ƥˤϡʸ֤ޤ

 * 
 * @access     public
 * @param     string     $strdir  ǥ쥯ȥ̾  
 * @return    string
 **/
function htf_get_parentdir($strdir) {
	$strrootdir="";
	$strdirwk="";
	$numpos=0;
	$strret="";

	/////////////////////////////////////////////////////////
	//Υǥ쥯ȥȥɥȥ롼Ȥη򤢤碌
	/////////////////////////////////////////////////////////
	//ǸΥǥ쥯ȥꥻѥ졼򥫥å
	$strdirwk = htf_cut_dirseparator($strdir);
	//ɥȥ롼ȤΥѥ졼ѴƺǸ򥫥å
	$strdirsep = DIRECTORY_SEPARATOR;
	$strrootdir = $_SERVER["DOCUMENT_ROOT"];
	if (!strncasecmp(substr(PHP_OS,0,3),'win',3)) {
		$strrootdir  = str_replace('/',$strdirsep,$strrootdir);
	}
	$strrootdir = htf_cut_dirseparator($strrootdir);
	/////////////////////////////////////////////////////////
	//ɥȥ롼ȤƱϤǽλ

	/////////////////////////////////////////////////////////
	if (!strcasecmp($strrootdir ,$strdirwk)) {
		return "";
	}
	/////////////////////////////////////////////////////////
	//ƥǥ쥯ȥ̾Τ
	/////////////////////////////////////////////////////////
	$numpos = strrpos($strdirwk, $strdirsep);
	if (is_bool($numpos)) {
		//顼ξ

		return "";
	} else if ($numpos == 0) {
		//ƬĤä

		if ($strdir == $strdirsep) {
			//ƬϤƤ

			return "";
		} else {
			//˰ľ夬롼Ȥä

			return substr($strdirwk,0,1);
		}
	} else if ($numpos >= 0) {
		//¾Ĥä

		return substr($strdirwk,0,$numpos);
	}
}

/**
 * ե̾ǥ󥯥롼ɥѥ򥵡

 * ¸ߤˤХѥ֤ޤ

 * ¸ߤʤˤ϶ʸ֤ޤ

 * 
 * @access     public
 * @param     string     $strfname  ե̾  
 * @return    string
 **/
function htf_get_fileincludepath($strfname) {
	$ardir=array();
	$strret = htf_get_incdirarray($ardir);
	for ($i=0;$i<count($ardir);$i++) {
		$strfret = htf_make_fullpathname($ardir[$i], $strfname);
		if (file_exists($strfret)) {
			return $strfret;
		}
	}
	return "";
}


/**
 * ե̾ǻǥ쥯ȥξ̤򸡺

 * ¸ߤˤХѥ֤ޤ

 * ¸ߤʤˤ϶ʸ֤ޤ

 * ̥ǥ쥯ȥ˥ɥȥ롼Ȥ¸ߤˤϡ

 * ɥȥ롼ȤޤǤǸλޤ

 * 
 * @access     public
 * @param     string     $strcwd  ǥ쥯ȥ̾  
 * @param     string     $strfname  ե̾  
 * @return    string
 **/
function htf_get_filepath($strcwd, $strfname) {
	$strcwd_wk="";
	$strfret="";
	
	//å
	if (!htf_is_existsval($strcwd) || !htf_is_existsval($strfname)) {
		return "";
	}
	
	//ͤΥեѥ̾
	$strcwd_wk = $strcwd;
	$strfret = htf_make_fullpathname($strcwd_wk, $strfname);
	//ȥǥ쥯ȥ¸ߤ
	if (file_exists($strfret)) {
		return $strfret;
	}

	//̥ǥ쥯ȥ˥

	while ($strcwd_wk != "") {
		//ƥǥ쥯ȥ̾

		$strcwd_wk = htf_get_parentdir($strcwd_wk);
		if ($strcwd_wk == "") {
			return "";
		}
		$strfret = htf_make_fullpathname($strcwd_wk, $strfname);
		if (file_exists($strfret)) {
			return $strfret;
		}
	}
}

/**
 * ե̾ǻǥ쥯ȥξ̤򸡺

 * ¸ߤˤϻǥ쥯ȥ꤫Хѥ֤ޤ

 * ¸ߤʤˤ϶ʸ֤ޤ

 * ̥ǥ쥯ȥ˥ɥȥ롼Ȥ¸ߤˤϡ

 * ɥȥ롼ȤǸλޤ

 * 
 * @access     public
 * @param     string     $strcwd  ǥ쥯ȥ̾  
 * @param     string     $strfname  ե̾  
 * @return    string
 **/
function htf_get_filepath_relative($strcwd, $strfname) {
	$strcwd_wk="";
	$strfull="";
	$strfret="";
	
	//å
	if (!htf_is_existsval($strcwd) || !htf_is_existsval($strfname)) {
		return "";
	}

	//ͤΥեѥ̾
	$strcwd_wk = $strcwd;
	$strfull = htf_make_fullpathname($strcwd_wk, $strfname);
	//ȥǥ쥯ȥ¸ߤ
	if (file_exists($strfull)) {
		return $strfname;
	}

	//̥ǥ쥯ȥ˥

	while ($strcwd_wk != "") {
		//ƥǥ쥯ȥ̾

		$strcwd_wk = htf_get_parentdir($strcwd_wk);
		if ($strcwd_wk == "") {
			return "";
		}
		$strfull = htf_make_fullpathname($strcwd_wk, $strfname);
		$strfret.="..".DIRECTORY_SEPARATOR;
		if (file_exists($strfull)) {
			return $strfret.=$strfname;
		}
	}
}

/**
 * ե̾γĥҤĥҤˤѹޤ

 * ĥҤꤷʤˤϡĥҤޤ

 * 
 * @access     public
 * @param     string     $strfname  ե̾  
 * @param     string     $strext    ĥ̾  
 * @return    string
 **/
function htf_change_ext($strfname, $strext="") {
	//å
	if (!htf_is_existsval($strfname)) {
		return "";
	}
	//ǽ.õ

	$pos=strrpos($strfname,'.');
	if (!$pos) {
		//ĤʤäϤΤޤ
		$strnoext=$strfname;
	} else {
		//Ĥäϥե̾ڤФ

		$strnoext=substr($strfname,0,$pos);
	}
	//ե̾
	$strret=$strnoext;
	if (htf_is_existsval($strext)) {
		$strret.='.';
		$strret.=$strext;
	}
	
	return $strret;

}

//////////////////////////////////////
//¾

//////////////////////////////////////
/**
 * ͤNULLä˻֤ͤNULLͤ򤷤ޤ

 * 
 * @access     public
 * @param     mixed     $chkparam  NULLͤåѥ᡼  
 * @param     mixed     $altval    NULLä֤
 * @return    mixed
 **/
function htf_nz($chkparam, $altval) {
	if (is_null($chkparam)) {
		return $altval;
	} else {
		return $chkparam;
	}
}

/**
 * ꤷʸꤷǥߥʬ򤷤ޤ

 * 
 * @access     public
 * @param     string    $strsplit  ʬ򤹤ʸ  
 * @param     string    $strdelim  Ƚ̤ǥߥ
 * @return    array
 **/
function htf_split_arr($strsplit, $strdelim) {
	//å
	if (!htf_is_existsval($strsplit)) {
		return NULL;
	}
	//ʬ
	$arr_ret = NULL;
	$arr_ret[0] = strtok($strsplit, $strdelim);
	$i = 1;
	while($strval=strtok($strdelim)){
		$arr_ret[$i] = $strval;
		$i++;
	}
	return $arr_ret;
}

/**
 * ᡼̾򥸥ͥ졼Ȥޤ

 * 
 * @access     public
 * @return    string
 **/
function htf_gen_imgname() {
	static $gencnt;
	
	$gencnt+=1;
	return 'imgname_'.$gencnt;
}

/**
 * 󥫡󥯥ޤ

 * 
 * @access     public
 * @param     string    $url  URL  
 * @param     string    $disp ɽʸ  
 * @return    string
 **/
function htf_printphplink($url, $disp)
{
	print('<a href="'.$url.'">'.$disp.'</a>');
}

/**
 * °դ󥫡󥯥ޤ

 * 
 * @access     public
 * @param     string    $url  URL  
 * @param     string    $disp ɽʸ  
 * @param     string    $opt  °ʸ  
 * @return    string
 **/
function htf_printphplink2($url, $disp, $opt)
{
	if ($opt == NULL || $opt == "") {
		print('<a href="'.$url.'">'.$disp.'</a>');
	} else {
		print('<a href="'.$url.'" '.$opt.'>'.$disp.'</a>');
	}
}
?>
