<?php
/**
 * htf_com_initialize.inc
 *
 * HTF̽Ǥframe/data/tlb֥ѥåѤˤϡ

 * Υե򥤥󥯥롼ɤɬפޤ

 *
 * @package HtmlTemplateFramework
 * @subpackage common
 * @access  public
 * @author    Yamauchi Shogo <htf@as-prj.com>
 * @version $Id: htf_com_initialize.inc ,v 1.0 $;
 **/
if (version_compare(PHP_VERSION,'5','>='))
	require_once('domxml-php4-to-php5.php');
require_once("htf_com_define.inc");	//
require_once("htf_com_func.inc");		//̴ؿ
require_once("htf_com_conf.phl");		//HTF̴Ķͥ饹

//HTF̴ĶͤΥ

$comconf = new htf_com_conf();

//HTMLȽˡʸʸ

/**
 * html̾ʸ⤷ϾʸɤǽϤ뤫

 * Ķꥯ饹(htf_com_conf饹)itemcase_elementФͤǷꤵ롣

 **/
if (htf_comp_property($comconf->itemcase_element, HTF_CASE_UPPER)) {
	//ʸ

	define('HTF_ITEMCASE_ELEMENT', HTF_CASE_UPPER);
} else {
	//ʸϡʥǥեȡ

	define('HTF_ITEMCASE_ELEMENT', HTF_CASE_LOWER);
}

//HTMLȥӥ塼Ƚˡʸʸ

/**
 * html°̾ʸ⤷ϾʸɤǽϤ뤫

 * Ķꥯ饹(htf_com_conf饹)itemcase_attributeФͤǷꤵ롣

 **/
if (htf_comp_property($comconf->itemcase_attribute, HTF_CASE_UPPER)) {
	//ʸ

	define('HTF_ITEMCASE_ATTRIBUTE', HTF_CASE_UPPER);
} else {
	//ʸϡʥǥեȡ

	define('HTF_ITEMCASE_ATTRIBUTE', HTF_CASE_LOWER);
}

//󥳡ǥ󥰤Ƚ̺Ѥߡ

/**
 * htf󥳡ǥ

 * Ķꥯ饹(htf_com_conf饹)internal_encoding_encodeФͤǷꤵ롣

 **/
if (htf_comp_property($comconf->internal_encoding_encode, HTF_ENCODE_EUC)) {
	//󥳡ǥ󥰤EUC
	define('HTF_PHP_INTERNAL_ENCODING', HTF_ENCODE_EUC);
} else {
	//󥳡ǥ󥰤UTF-8ʥǥեȡ

	define('HTF_PHP_INTERNAL_ENCODING', HTF_ENCODE_UTF8);
}

/**
 * htfǻѤ륤᡼ѥ

 * Ķꥯ饹(htf_com_conf饹)imagepathФͤǷꤵ롣

 **/
define('HTF_IMAGEPATH', $comconf->imagepath);

/**
 * htfǻѤCSSѥ

 * Ķꥯ饹(htf_com_conf饹)csspathФͤǷꤵ롣

 **/
define('HTF_CSSPATH',$comconf->csspath);

/**
 * htfǻѤJavaScriptѥ

 * Ķꥯ饹(htf_com_conf饹)jspathФͤǷꤵ롣

 **/
define('HTF_JSPATH', $comconf->jspath);

/**
 * htfǻѤ롼ȥѥ

 * Ķꥯ饹(htf_com_conf饹)rootpathФͤǷꤵ롣

 **/
define('HTF_ROOTPATH', $comconf->rootpath);

/**
 * htfꤵ줿󥳡ɤȽ̤xml°ͤѴޤ

 * 󥳡ɤEUC-JP⤷UTF-8ΤȽ̤ޤ

 * 
 * @access     public
 * @param     string    $strattr  
 * @return    string
 **/
function htf_get_encoded_attr($strattr) {
	if (!htf_is_existsval($strattr)) {
		//NULLȶʸϤΤޤ
		return $strattr;
	} else if (!strcasecmp(HTF_PHP_INTERNAL_ENCODING, 'euc-jp')) {
		//EUC
		return mb_convert_encoding($strattr, "euc-jp", "UTF-8");
	} else {
		//ʳ

		return $strattr;
	}
}

/**
 * htfꤵ줿Ƽѥ(᡼ѥCSSѥJavaScriptѥ롼ȥѥ)
 * ǰִѴޤִϼ̤ꡣ

 * %HTF_IMAGEPATH%᡼ѥ%HTF_CSSPATH%CSSѥ %HTF_JSPATH%JavaScriptѥ%HTF_ROOTPATH%롼ȥѥ
 * 
 * @access     public
 * @param     string    $srcstr  
 * @return    string
 **/
function htf_replace_definetag($srcstr) {
	$repstr1st = str_replace(HTF_REPLACE_HTF_IMAGEPATH, HTF_IMAGEPATH, $srcstr);
	$repstr2nd = str_replace(HTF_REPLACE_HTF_CSSPATH, HTF_CSSPATH, $repstr1st);
	$repstr3rd = str_replace(HTF_REPLACE_HTF_JSPATH, HTF_JSPATH, $repstr2nd);
	$repstr4th = str_replace(HTF_REPLACE_HTF_ROOTPATH, HTF_ROOTPATH, $repstr3rd);
	
	return $repstr4th;
}

?>
