<TABLE WIDTH="590" BORDER="0" ALIGN="LEFT" CLASS="xsmall">
<TR>
	<TD CLASS="mediumb">
		<br>
		<a name="top">●AS-POP3オンラインマニュアル</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<OL>
		<LI><a href="#outline">基本的なプログラム手順</a><br></LI>
		<LI><a href="#property">プロパティ</a><br></LI>
		<LI><a href="#method">メソッド</a><br></LI>
		<LI><a href="#event">イベント</a><br></LI>
		<LI><a href="#errcode">エラーコード</a><br></LI>
		</OL>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="outline">1.&nbsp;基本的なプログラム手順</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<table align="center" WIDTH="85%" class="xsmall">
		<tr>
		<td>
			・このソフトウエアはSMTP送信前にPOP3にて認証するPOP Before SMTP機能をサポートします。<br>
		</td>
		</tr>
		</table>
		<BLOCKQUOTE>
			<b>【プログラム手順】</b>
			・オブジェクトのインスタンスを生成します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VB/VBAの場合)</b><br>
			Set objPop3 = CreateObject("ASLib.POP3")<br>
			Set objPop3 = New ASLib.POP3<br>
			<b>(例：ASP VBScriptの場合)</b><br>
			Set objPop3 = Server.CreateObject("ASLib.POP3")<br>
			<b>(例：ASP JScriptの場合)</b><br>
			var objPop3 = new ActiveXObject('ASLib.POP3');<br>
			<b>(例：WSH VBScriptの場合)</b><br>
			Set objPop3 = WScript.CreateObject("ASLib.POP3")<br>
			<b>(例：WSH JScriptの場合)</b><br>
			var objPop3 = WScript.CreateObject('ASLib.POP3');<br>
			-------------------------------------------------------------<br>
			<br>
			・POP3ユーザ名・POP3パスワードプロパティを設定し、POP3ログインのためのパラメータを設定します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptでPOP3ユーザプロパティを"username"に設定する場合)</b><br>
			objPop3.POP3User = "username"<br>
			-------------------------------------------------------------<br>
			<br>
			<br>
			・<a href="#method">メソッド</a>を順次呼び出し、メール送信を行います。<br>
			※Connect→LOGIN→QUITの順に呼び出します。<br>
			※非同期の場合にはOnCommandFinishイベントでコマンドの終了が通知されます。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptでPOP3サーバ"ServerName"へConnectする場合)</b><br>
			Dim iret<br>
			iret = objPop3.Connect("ServerName")<br>
			-------------------------------------------------------------<br>
			<br>
			・オブジェクトの解放が必要な場合は解放します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptの場合)</b><br>
			Set objPop3 = Nothing<br>
			-------------------------------------------------------------<br>
		</BLOCKQUOTE>
		<div align="right">
		<a href="#top">|ページtopへ戻る|</a>
		</div>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="property">2.&nbsp;プロパティ</a><br>
		<br>
		<table align="center" WIDTH="85%" frame="hsides" class="xsmall">
		<tr>
		<td valign="top">
			<a href="#prop_port">Port</a><br>
			<a href="#prop_recvtimeout">RecvTimeout</a><br>
			<a href="#prop_sync">Sync</a><br>
			<a href="#prop_pop3user">POP3User</a><br>
			<a href="#prop_pop3pass">POP3Pass</a><br>
		</td>
		<td valign="top">
			<a href="#prop_pop3msg">POP3msg</a><br>
			<a href="#prop_pop3msgext">POP3msgExt</a><br>
			<a href="#prop_lasterror">LastError</a><br>
		</td>
		<td valign="top">
		</td>
		</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_port">Portプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					110
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3サーバのポート番号を指定します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					objPop3.Port = 110<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_recvtimeout">RecvTimeoutプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					20(20秒)
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3サーバ通信時のタイムアウト秒数を指定します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（通信タイムアウトを40秒とする）<br>
					objPop3.RecvTimeout = 40<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_sync">Syncプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					0（同期モード）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3サーバ通信の同期／非同期を指定します。<br>
					0:同期モード<br>
					1:非同期モード<br>
					※同期の場合は対応するメッセージをサーバから受信するまで戻りませんが、非同期の場合はすぐに処理が戻ります。<br>
					※非同期の場合は対応するメッセージを受信するとOnCommandFinishイベントが発生します。ASPなどイベント非対応のプラットフォームの場合は同期モードで使用してください。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（POP3サーバとの通信を非同期モードにする）<br>
					objPop3.Sync = 1<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_pop3user">POP3Userプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3認証を使用する際のユーザアカウントを指定します。<br>
					※LOGINメソッドで使用します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（POP3認証用のアカウントを"Username"に設定する）<br>
					objPop3.POP3PUser = "Username"<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_pop3pass">POP3Passプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3認証を使用する際のパスワードを指定します。<br>
					※LOGINメソッドで使用します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（POP3認証用のパスワードを"Password"に設定する）<br>
					objPop3.POP3User = "Password"<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_pop3msg">POP3msgプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3サーバから受信したメッセージを取得します。<br>
					正常終了時:"+OK"<br>
					エラー時:"-ERR"<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（POP3サーバからのメッセージを取得する）<br>
					strMsg = objPop3.POP3msg<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_pop3msgext">POP3msgExtプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3サーバから受信した拡張メッセージを取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（POP3サーバからの拡張メッセージを取得する）<br>
					strMsgExt = objPop3.POP3msgExt<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_lasterror">LastErrorプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Winsockでエラーが発生した場合のWinsockのエラーコードを取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（Winsockのエラーコードを取得する）<br>
					lngLastError = objPop3.LastError<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="method">3.&nbsp;メソッド</a><br>
		<table align="center" WIDTH="85%" class="xsmall">
		<tr>
		<td>
		・指定されたPOP3サーバとの通信を行います。<br>
		・非同期指定の場合はすぐに処理が戻り、POP3サーバからの応答を受信するとOnCommandFinishイベントが発生します。<br>
		・同期の場合はPOP3サーバからの応答を受信するまで待ちます。<br>
		</td>
		</tr>
		</table>
		<table align="center" WIDTH="85%" frame="hsides" class="xsmall">
		<tr>
		<td valign="top">
			<a href="#method_connect">Connect</a><br>
			<a href="#method_login">LOGIN</a><br>
			<a href="#method_quit">QUIT</a><br>
		</td>
		</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_connect">Connect</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定POP3サーバにコネクトします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objPop3.Connect(strServerName)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strServerName [in]:接続するPOP3サーバホスト名、又はIPアドレス文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定されたPOP3サーバにコネクトします。<br>
					引数にはホスト名、もしくはIPアドレス文字列を指定して下さい。<br>
					Connect成功時には0を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objPop3.Connect("servername")<br>
					lngret = objPop3.Connect("192.168.0.1")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_login">LOGIN</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					POP3Userプロパティ、POP3Passプロパティを使用して、<br>
					指定POP3サーバにログインします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objPop3.LOGIN()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					POP3Userプロパティ、POP3Passプロパティを使用してPOP3サーバにログインします。<br>
					ログイン成功時には0を返します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objPop3.LOGIN()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_quit">QUIT</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定POP3サーバにQUITコマンドを送信し、コネクションを切断します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objPop3.QUIT()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定POP3サーバにQUITコマンドを送信し、コネクションを切断します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objPop3.QUIT()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="event">4.&nbsp;イベント</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="event_oncommandfinish">OnCommandFinish</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					非同期でPOP3コマンドを発行するメソッドを実行した場合、メソッドの終了を通知します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数
				</td>
				<td>
					lResult [in]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					非同期でPOP3コマンドを発行するメソッドを実行した場合、メソッドの終了を通知します。<br>
					lResultにはエラー時はエラーコードが返ります。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					Private Sub objPop3_OnCommandFinish(ByVal lResult As Long)<br>
					※詳しくはサンプルをご覧下さい。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#event">イベントへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="errcode">5.&nbsp;エラーコード</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<table align="center" WIDTH="85%" class="xsmall">
			<tr>
				<td>
					・各メソッド・イベントから返されるエラーコードとエラーメッセージの一覧です。<br>
				</td>
			</tr>
		</table>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					各メソッド・イベントの返却エラーコード<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td class="xsmallb" width="18%">
					エラーコード

				</td>
				<td class="xsmallb" >
					エラー内容<br>
				</td>
			</tr>
			<tr>
				<td>
					-10000<br>
				</td>
				<td>
					メモリ確保に失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20001<br>
				</td>
				<td>
					ソケットの生成に失敗しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのsocket関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20002<br>
				</td>
				<td>
					ホスト名からIPアドレスの取得に失敗しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのgethostbyname関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20003<br>
				</td>
				<td>
					ソケットエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのconnect関数、又はselect関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20005<br>
				</td>
				<td>
					POP3コマンドの送信でエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのsend関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20006<br>
				</td>
				<td>
					POP3サーバからのメッセージ受信でエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのrecv関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20008<br>
				</td>
				<td>
					POP3サーバから切断されました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのrecv関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20010<br>
				</td>
				<td>
					POP3サーバとの通信がタイムアウトしました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20011<br>
				</td>
				<td>
					イベントのウィンドウメッセージで通知設定に失敗しました。（非同期時のみ）<br>
				</td>
			</tr>
			<tr>
				<td>
					-20012<br>
				</td>
				<td>
					ソケットイベントの通知でエラーが発生しました。（非同期時のみ）<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、WinsockライブラリのWSAAsyncSelect関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-60001<br>
				</td>
				<td>
					POP3サーバがエラー("-ERR")を返しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-60002<br>
				</td>
				<td>
					POP3サーバが想定外のエラー("-ERR"以外)を返しました。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#errcode">エラーコードへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
</TABLE>
<br>
