<?php
	require_once('htf_com_initialize.inc');		//htf共通初期処理

	require_once('../cont_common.inc');			//コンテンツ共通文字列
?>
<TABLE WIDTH="590" BORDER="0" ALIGN="LEFT" CLASS="xsmall">
<TR>
	<TD WIDTH="590">
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'htflogo_forphp.jpg')); ?>" width="300" height="60" alt="AS-SMTP">
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'outline.gif')); ?>" width="166" height="31" alt="OutLine"><br>
		【HtmlTemplateFramework(HTF)とは】<BR>
	</TD>
</TR>
<TR>
	<TD class="xsmall125tp">
		<b>
		<big>PHPで作成するWebサイトの「統一性」・「保守性」・「正確性」・「生産性」を上げるために開発されたクラスライブラリ群です。<br>
		※※このサイト自身もHTFで作成されています。※※</big><br>
		</b>
		<br>
	</TD>
</TR>
<TR>
	<TD>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTFフレームクラス(frameパッケージ)</b><br>
		　HTFの中心となるクラスで、ページコントローラを作成するためのクラスライブラリ群です。<br>
		　ページを領域に分割し、対応する論理ページオブジェクトを生成して<br>
		　ページ領域をコントロールします。<br>
		　（PHPで実現するツーステップビュー）<br>
		<br>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTF共通クラス(commonパッケージ)</b><br>
		　Webサイト構築時に管理すべきサイトの環境情報の管理クラスを提供します。<br>
		　また、HTFでのサイト構築時に利用する定数定義や、頻繁に使用する関数も提供します。<br>
		　（パス管理・内部エンコーディング・タグ出力方法等）<br>
		<br>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTFメニュー管理クラス(dataパッケージ)</b><br>
		　サイト生成の際に表示するメニューデータを管理するクラスを実装しています。<br>
		　実際にメニュー管理クラスを使用してタグを出力するクラスも提供しています。<br>
		<br>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTMLタグ(htmltagbaseパッケージ)・CSS動的生成クラス(cssパッケージ)</b><br>
		　CSSやHTMLタグを動的に生成するためのクラスを実装しています。<br>
		<br>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTFタグライブラリ(htmltaglibパッケージ)</b><br>
		　他、検索タグやメニュータグ、サイトマップやトピックパス（パンくずリスト）を<br>
		　出力するライブラリを実装しています。<br>
		<br>
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'feature.gif')); ?>" width="166" height="31" alt="Feature"><br>
		【HtmlTemplateFramework(HTF)の特長】<BR>
	</TD>
</TR>
<TR>
	<TD>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>ページ領域を分割管理するメリット</b><br>
		　◎共通的な領域は共通的に、各ページ個別の領域は個別に管理することができるため、<br>
		　　ページの保守性が上がります。（全ページに対して同じ修正をするようなことがなくなる）<br>
		　◎共通的な領域の操作性が決定するため、サイト自体の操作感が統一されます。<br>
		　◎分割管理するため、PHP独自のスクリプトレット記述による保守性の低下が<br>
		　　軽減されます。（分割することにより、わかりやすくなる）<br>
		　◎共通的な領域は気にする必要がなくなるため、デザイナーは個別のコンテンツを<br>
		　　記述することに集中できるようになります。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>論理ページを生成してコントロールするメリット</b><br>
		　◎たとえば、headタグなどもオブジェクトとして保有しているので、<br>
		　　出力内容の標準化が可能（初期値はxmlファイルに記述）。<br>
		　◎他の領域についても、同様の仕組みをとっているため、標準化とコントロールが<br>
		　　両立できます。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>動的HTMLタグ・CSSを生成できるメリット</b><BR>
		　◎動的に生成するクラスライブラリがあるため、出力タグの部品化（クラス化）<br>
		　　が容易になります。<br>
		　◎headタグをコントロールできるため、CSSも動的に生成して出力することも可能。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTF共通管理クラスのメリット</b><br>
		　◎パス管理などを行い、パラメータ化することにより、他サーバへの移動や<br>
		　　環境の変更にも柔軟に対応できます。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>HTFタグライブラリのメリット</b><br>
		　◎GoogleやYahooの検索タグ出力、メニュー管理クラスを使用したメニュータグ出力、<br>
		　　サイトマップやトピックパス（パンくずリスト）の出力クラスを実装している<br>
		　　ことにより、出力が容易になります。また、これらをカスタマイズしたり、<br>
		　　他のタグライブラリを作成する場合の助けにもなります。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>PHPで実装していることのメリット</b><br>
		　◎PHP4のオープンソースソフトウェアなので、簡単に拡張でき、より自サイトに適合したフレームワーク<br>
		　　の構築が可能。<br>
		　◎WebサーバがPHP4を使用できなくても、PHP4の実行環境さえ手元にあれば、<br>
		　　コマンドライン実行による静的HTML作成も可能です。<br>
		　　（静的HTMLのサイトでも、HTFをジェネレータとして使用することが可能。）<br>
		</p>
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<a name="lisence">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'useconsent.gif')); ?>" width="166" height="31" alt="Use Consent"><br>
		【使用条件】<BR>
	</a>
	</TD>
</TR>
<TR>
	<TD>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>GPLライセンスと商用ライセンス</b><br>
		<p>
		　GPLライセンス(GNU一般公衆利用許諾契約書）もしくは、商用ライセンスの<br>
		　どちらかをお選びいただけます。商用ライセンスの場合は、ライセンス料が<br>
		　必要となります。<br>
		</p>
		<p>
		　GPLの条件に従っている場合、GPLの下で無償で使用することができます。<br>
		　ただし、形式上商用ライセンスが不要な場合でも、ビジネスユースで利用され<br>
		　ている場合には、HTF自体が企業活動を支える力となっているという観点から、<br>
		　商用ライセンスの購入をお願いいたします。<br>
		</p>
		<p>
		　各ライセンス適用の一般的なケースを以下に記述します。<br>
		 --------------------------------------------------------------------<br>
		　<b>(GPLを使用する場合)</b><br>
		　◎評価・試用を目的として使用する場合。<br>
		　◎HTFを使用して作成した独自開発のソフトウェアもGPLとし、<br>
		　　HTFのソースコードの両方をともに提供する場合。<br>
		　◎HTFのいずれの部分も提供しないで、使用のみを行う場合。<br>
		　◎ディストリビューションにHTFを組み込む場合。<br>
		<br>
		　<b>(商用ライセンスを使用する場合）</b><br>
		　◎HTFを用いて作成した商用製品にGPLライセンスを適用させない場合。<br>
		　◎ASPサービス等のサービスにHTFを用いてアプリケーションを構築する場合。<br>
		　◎その他、HTFを用いてサービス供与ないし製品開発を行い、その対価を<br>
		　　受けている場合。<br>
		 --------------------------------------------------------------------<br>
		</p>
		<p>
	    なお、商用ライセンスの使用条件についての詳細は
		<?php
			htf_printphplink(htf_make_url(htf_replace_definetag('%HTF_ROOTPATH%'),GPGNAME_CONSENT),'使用条件');
		?>
    	をお読みください。<br>
		また、GPLライセンスについては、<a href="http://www.opensource.jp/gpl/gpl.ja.txt" target="_blank">一般公衆利用許諾契約書</a>をご覧下さい。<br>
		</p>
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'lisence.gif')); ?>" width="166" height="31" alt="Lisence"><br>
		【ライセンス料】<BR>
	</TD>
</TR>
<TR>
	<TD>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>GPL(GNU一般公衆利用許諾契約書）をご利用の場合</b><br>
		　ライセンス料は発生しません。GPLの条件の下で無償で使用することができます。<br>
		</p>
		<p>
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<b>商用ライセンスをご利用の場合</b><br>
		　ライセンスの数え方は以下のとおりです。適切なライセンス数をご購入ください。<br>
		</p>
	</TD>
</TR>
<TR>
	<TD class="xsmall125tp">
		<p>
		<B>
		　１インストールにつき、１ライセンス　￥２０１６０－(消費税込)<br>
		</B>
		</p>
	</TD>
</TR>
<TR>
	<TD>
		<p>
	    なお、ご購入についての詳細は
		<?php
			htf_printphplink(htf_make_url(htf_replace_definetag('%HTF_ROOTPATH%'),GPGNAME_SOKIN),'ご購入方法');
		?>
    	をお読みください。<br>
    	</p>
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'download.gif')); ?>" width="166" height="31" alt="Download"><br>
		【ダウンロード】<BR>
	</TD>
</TR>
<TR>
	<TD>
		<B>
		こちらからどうぞ。<br>&nbsp;&nbsp;
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<a href="<?php print(htf_replace_definetag(GPATHNAME_DOWNLOAD_HTF)); ?>">HtmlTemplateFrameworkダウンロードページ</a><br>
		</B>
		<hr>
	</TD>
</TR>
<TR>
	<TD valign="BOTTOM" class="xsmallb">
	<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'resource.gif')); ?>" width="166" height="31" alt="Resource"><br>
		【参考リソース】<BR>
	</TD>
</TR>
<TR>
	<TD>
		&nbsp;&nbsp;
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<?php
			htf_printphplink(htf_make_url(htf_replace_definetag(GPATHNAME_HTF),GPGNAME_PRODUCT_SAMPLE),'HtmlTemplateFramework使用サンプルはこちらへ');
		?>
		<br>
		&nbsp;&nbsp;
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<?php
			htf_printphplink(htf_replace_definetag(GPATHNAME_HTF_MANUAL),'HtmlTemplateFrameworkオンラインマニュアルはこちらへ');
		?>
		<br>
		&nbsp;&nbsp;
		<img src="<?php print(htf_make_url(htf_replace_definetag('%HTF_IMAGEPATH%'),'dotico.gif')); ?>" width="9" height="9" alt="dot">
		<?php
			htf_printphplink(htf_make_url(htf_replace_definetag(GPATHNAME_HTF),GPGNAME_PRODUCT_RELEASE),'HtmlTemplateFramework リリースノートはこちらへ');
		?>
		<br>
		<hr>
	</TD>
</TR>
</TABLE>
