<?php
//////////////////////////////////////////////////////////////////////
// htfコントローラ
//////////////////////////////////////////////////////////////////////

	/**
	 * ファイルインクルード

	 * ※個別に作成したタグ生成関数等を使用する場合は、

	 *   インクルードパスに配置して、ここでインクルードする。

	 *   (ex:orgtag.phlをインクルード)
	 *   require_once("orgtag.phl")
	 **/
	require_once("htf_frame.phl");	//htfフレームクラス

	/**
	 * htfオブジェクトの生成
	 **/
	$htf = new htf_frame();
	
	/**
	 * htfオブジェクトのプロパティ設定を変更
	 * (ex:HPタイトルの修正）

	 *  $htf->frameconfig->headconfig->title = 'This Page's Title.';
	 * (ex:適用するコンテンツファイルの修正）

	 *  $htf->frameconfig->->bodyconfig->pageconfig->contentarea->includefile = 'thisfile.inc';
	 **/
	//metaタグdescription
	$htf->frameconfig->headconfig->description = 'HP と Compaq の製品、オンラインストア、拠点、販売店の電話、e-mailのご案内';
	 //タイトル修正
	$htf->frameconfig->headconfig->title = '日本HP ご購入方法';
	//ライトエリア使用オフ

	$htf->frameconfig->bodyconfig->pageconfig->use_rightarea = "off";
	 //indexbarのテキスト指定修正
	$htf->frameconfig->bodyconfig->pageconfig->indexbar->text = "&nbsp;<h1>ご購入方法 / オンラインストア</h1><br>HP 製品・サービスのオンラインストア、または販売代理店の検索";
	//コンテンツエリアのwidth修正
	$htf->frameconfig->bodyconfig->pageconfig->contentarea->width = "560";

	/**
	 * HTMLタグの生成・出力

	 **/
	$htf->print_htmltag();

?>
