<?php
//////////////////////////////////////////////////////////////////////
// htfコントローラ
//////////////////////////////////////////////////////////////////////

	/**
	 * ファイルインクルード

	 * ※個別に作成したタグ生成関数等を使用する場合は、

	 *   インクルードパスに配置して、ここでインクルードする。

	 *   (ex:orgtag.phlをインクルード)
	 *   require_once("orgtag.phl")
	 **/
	require_once("htf_frame.phl");	//htfフレームクラス

	/**
	 * htfオブジェクトの生成
	 **/
	$htf = new htf_frame();
	
	/**
	 * htfオブジェクトのプロパティ設定を変更
	 * (ex:HPタイトルの修正）

	 *  $htf->frameconfig->headconfig->title = 'This Page's Title.';
	 * (ex:適用するコンテンツファイルの修正）

	 *  $htf->frameconfig->->bodyconfig->pageconfig->contentarea->includefile = 'thisfile.inc';
	 **/
	//metaタグdescription
	$htf->frameconfig->headconfig->description = '日本HPのページです。高信頼性のストレージ製品、ストレージソリューションを提供するHP StorageWorksトップページです。すべてのビジネスのための最適なストレージ・ソリューションをリーディング・プロバイダHPから';
	 //タイトル修正
	$htf->frameconfig->headconfig->title = '日本HP ストレージ';
	 //indexbarのテキスト指定修正
	$htf->frameconfig->bodyconfig->pageconfig->indexbar->text = "&nbsp;<h1>ストレージ</h1>";

	/**
	 * HTMLタグの生成・出力

	 **/
	$htf->print_htmltag();

?>
