<?php
//////////////////////////////////////////////////////////////////////
// htfコントローラ
//////////////////////////////////////////////////////////////////////

	/**
	 * ファイルインクルード

	 * ※個別に作成したタグ生成関数等を使用する場合は、

	 *   インクルードパスに配置して、ここでインクルードする。

	 *   (ex:orgtag.phlをインクルード)
	 *   require_once("orgtag.phl")
	 **/
	require_once("htf_frame.phl");	//htfフレームクラス

	/**
	 * htfオブジェクトの生成
	 **/
	$htf = new htf_frame();
	
	/**
	 * htfオブジェクトのプロパティ設定を変更
	 * (ex:HPタイトルの修正）

	 *  $htf->frameconfig->headconfig->title = 'This Page's Title.';
	 * (ex:適用するコンテンツファイルの修正）

	 *  $htf->frameconfig->->bodyconfig->pageconfig->contentarea->includefile = 'thisfile.inc';
	 **/
	//metaタグdescription
	$htf->frameconfig->headconfig->description = 'HP のサポートおよび追加のリソース情報に関するディレクトリ  次の項目に関する支援の取得:ドライバ、ダウンロード、ソフトウェア アップデート、パッチ、認定済みサポート プロバイダの検索、交換部品、製品登録、HP のトレーニングと教育、サービス センター、フォーラムとコミュニティ、保証、問い合わせ先情報';
	 //タイトル修正
	$htf->frameconfig->headconfig->title = '日本 HP サポート';
	 //indexbarのテキスト指定修正
	$htf->frameconfig->bodyconfig->pageconfig->indexbar->text = "&nbsp;<h1>サポート＆ドライバ</h1>";

	/**
	 * HTMLタグの生成・出力

	 **/
	$htf->print_htmltag();

?>
