<?php
require_once('htf_com_initialize.inc');		//htf共通初期処理

require_once('./cont_common.inc');			//コンテンツ共通文字列
?>
<TABLE WIDTH="590" BORDER="0" ALIGN="LEFT" CLASS="xsmall">
<TR>
	<TD CLASS="mediumb">
		<br>
		●ご購入方法<br>
	</TD>
</TR>
<TR>
	<TD>
		当サイトで公開しているソフトウエアのうち、いくつかは<b>シェアウエア</b>になっています。<br>
		シェアウエアは、無料で試用でき、継続使用を決めた場合にご送金いただくソフトウエアです。<br>
		<br>
	</TD>
</TR>
<TR>
	<TD>
		<table align="center" WIDTH="100%" class="xsmallb" bgcolor="#B6C5EE">
			<tr>
				<td>
					ライセンスについて<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="100%" class="xsmall">
			<tr>
				<td>
					ライセンスの数え方、価格については、各ソフトウエアのページをご参照ください。<br>
					使用条件については、<?php htf_printphplink(htf_make_url(htf_replace_definetag('%HTF_ROOTPATH%'),GPGNAME_CONSENT),'こちら') ?>をご覧ください。<br>
					<UL>
					<LI><?php htf_printphplink(htf_replace_definetag(GPATHNAME_ASSMTP),'AS-SMTPのページ') ?></LI>
					</UL>
					当サイトで公開しているシェアウエアについては、ソフトを使用するお客様が当サイト指定の方法で送金し、作者から暗証を受け取ることでライセンスを取得できます。<br>
					銀行振込で送金した場合には、<?php htf_printphplink(htf_make_url(htf_replace_definetag('%HTF_ROOTPATH%'),GPGNAME_SOKINMAILFORM),'送金通知メールフォーム') ?>にて送金連絡を行う必要があります。<br>
					ライセンスを取得すると、こちらのユーザリストに登録されます。お問い合わせの際には登録名・登録メールアドレスが必要になりますので、<b>登録時のメールは厳重に保管</b>して下さい。<br>
					<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="100%" class="xsmallb" bgcolor="#B6C5EE">
			<tr>
				<td>
					ご購入方法について<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="100%" class="xsmall">
			<tr>
				<td class="xsmallb">
					●銀行振込の場合<br>
				</td>
			</tr>
			<tr>
				<td>
					・振込み前にまず価格をご確認ください。<br>
					<UL>
					<LI><?php htf_printphplink(htf_replace_definetag(GPATHNAME_ASSMTP),'AS-SMTPのページ') ?></LI>
					</UL>
				</td>
			</tr>
			<tr>
				<td>
					・こちらの口座まで<b>必要ライセンス数分の金額（税込金額）</b>をお振込みください。<br>
					&nbsp;&nbsp;<b>※銀行振込の振込手数料は、お客様のほうでご負担お願いします。</b><br>
					<br>
					<table align="left" border="1" class="xsmall">
					<tr>
						<td class="xsmallb">
							銀行名
						</td>
						<td>
							ジャパンネット銀行（銀行コード：００３３）

						</td>
					</tr>
					<tr>
						<td>
							支店名
						</td>
						<td>
							本店営業部（支店コード：００１）

						</td>
					</tr>
					<tr>
						<td>
							科目
						</td>
						<td>
							普通預金
						</td>
					</tr>
					<tr>
						<td>
							口座番号
						</td>
						<td>
							６５７０７８７

						</td>
					</tr>
					<tr>
						<td>
							口座名義
						</td>
						<td>
							ヤマウチ　シヨウゴ
						</td>
					</tr>
					</table>
					<br>
				</td>
			</tr>
			<tr>
				<td class="xsmallb">
					<br><hr>
					●Vectorシェアレジにて購入する場合<br>
				</td>
			</tr>
			<tr>
				<td>
					・以下の製品については、Vectorシェアレジにて購入することができます。<br>
					・シェアレジではクレジットカード・Bit Regi(Bit Paradeのポイント)で購入できます。<br>
					・購入後、Vectorからライセンスキーを送付します。<b>送金連絡は必要ありません。</b><br>
					<UL>
					<LI><a href="<?php print(GPGNAME_VEC_SR_ASSMTP) ?>" target="_blank">AS-SMTP(レジ作品番号SR041125)をシェアレジで購入</a></LI>
					</UL>
				</td>
			</tr>
		</table>
		<br>
		<table align="center" WIDTH="100%" class="xsmallb" bgcolor="#B6C5EE">
			<tr>
				<td>
					送金連絡について（※重要）<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="100%" class="xsmall">
			<tr>
				<td class="xsmall">
					<b>銀行振込</b>にて振込みいただいた場合には、<b>送金連絡が必要</b>です。<br>
					<b>（ご連絡いただかないと、ライセンスキーを送付することができません。）</b><br>
					<?php htf_printphplink(htf_make_url(htf_replace_definetag('%HTF_ROOTPATH%'),GPGNAME_SOKINMAILFORM),'送金通知メールフォーム') ?>から送金のご連絡をお願いします。<br>
					万一、フォームからのメール送信に失敗したり、お客様のアドレスにメールが到着しない場合には、お手数ですが<a href="mailto:payment@as-prj.com">payment@as-prj.com</a>まで下記項目を記入の上、ご自身のメーラーにて再度ご送信下さい。<br>
					<br>
					【送金連絡メール記入項目】

					<UL>
					<LI>（個人の場合）お名前、（法人の場合）会社名</LI>
					<LI>連絡先メールアドレス</LI>
					<LI>ご購入ソフトウエア名</LI>
					<LI>ご購入ライセンス数</LI>
					<LI>振込年月日</LI>
					<LI>振込人名義</LI>
					</UL>
				</td>
			</tr>
		</table>
	</TD>
</TR>
</TABLE>
<br>
